using Microsoft.EntityFrameworkCore.Migrations;

namespace ReallifeGamemode.Database.Migrations
{
  public partial class TurfSurplusValue : Migration
  {
    protected override void Up(MigrationBuilder migrationBuilder)
    {
      migrationBuilder.AddColumn<bool>(
          name: "Surplus",
          table: "Turfs",
          nullable: false,
          defaultValue: false);

      migrationBuilder.AddColumn<int>(
          name: "Value",
          table: "Turfs",
          nullable: false,
          defaultValue: 0);
    }

    protected override void Down(MigrationBuilder migrationBuilder)
    {
      migrationBuilder.DropColumn(
          name: "Surplus",
          table: "Turfs");

      migrationBuilder.DropColumn(
          name: "Value",
          table: "Turfs");
    }
  }
}
